Debian Bug report logs - #721598
ITP: python-vcs -- Various version control systems management abstraction layer

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 2 Sep 2013 08:39:02 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#721598; Package wnpp. (Mon, 02 Sep 2013 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 02 Sep 2013 08:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-vcs -- Various version control systems management abstraction layer
Date: Mon, 02 Sep 2013 10:36:49 +0200
Package: wnpp
Severity: wishlist
Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

* Package name    : python-vcs
  Version         : 0.4.0
  Upstream Author : Marcin Kuźmiński <https://github.com/codeinn/vcs/issues>
* URL             : https://github.com/codeinn/vcs/
* License         : Expat
  Programming Lang: Python
  Description     : Various version control systems management abstraction layer

 Python vcs is an abstraction layer on top of various (Mercurial, Git, as extra
 backends: SVN, Bazaar) version control systems. It is designed as a
 feature-rich Python library with a clear API Reference.
 .
 Features
    - Common API for SCM backends
    - Fetching repositories data lazily
    - Simple caching mechanism so we don’t hit repo too often
    - In-memory commits API
    - Command-line interface
 .
 Incoming
    - Full working directories support
    - Extra backends: Subversion, Bazaar



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#721598; Package wnpp. (Mon, 02 Sep 2013 19:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 02 Sep 2013 19:09:15 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@samba.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 721598@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#721598: ITP: python-vcs -- Various version control systems management abstraction layer
Date: Mon, 2 Sep 2013 21:08:50 +0200
On Mon, Sep 02, 2013 at 10:36:49AM +0200, Mike Gabriel wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> 
> * Package name    : python-vcs
>   Version         : 0.4.0
>   Upstream Author : Marcin Ku??mi??ski <https://github.com/codeinn/vcs/issues>
> * URL             : https://github.com/codeinn/vcs/
> * License         : Expat
>   Programming Lang: Python
>   Description     : Various version control systems management abstraction layer
> 
>  Python vcs is an abstraction layer on top of various (Mercurial, Git, as extra
>  backends: SVN, Bazaar) version control systems. It is designed as a
>  feature-rich Python library with a clear API Reference.
>  .
>  Features
>     - Common API for SCM backends
>     - Fetching repositories data lazily
>     - Simple caching mechanism so we don???t hit repo too often
>     - In-memory commits API
>     - Command-line interface
>  .
>  Incoming
>     - Full working directories support
>     - Extra backends: Subversion, Bazaar
Where are the extra backends? I don't see them in the linked upstream source code.

Cheers,

Jelmer



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#721598; Package wnpp. (Mon, 02 Sep 2013 19:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 02 Sep 2013 19:21:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 03 Sep 2013 08:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 11:36:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 11:36:18 GMT) Full text and rfc822 format available.

Message #22 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jelmer Vernooij <jelmer@samba.org>, 721598@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#721598: ITP: python-vcs -- Various version control systems management abstraction layer
Date: Mon, 09 Sep 2013 13:35:06 +0200
[Message part 1 (text/plain, inline)]
Hi Jelmer,

On Mo 02 Sep 2013 21:08:50 CEST Jelmer Vernooij wrote:

> On Mon, Sep 02, 2013 at 10:36:49AM +0200, Mike Gabriel wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>>
>> * Package name    : python-vcs
>>   Version         : 0.4.0
>>   Upstream Author : Marcin Ku??mi??ski  
>> <https://github.com/codeinn/vcs/issues>
>> * URL             : https://github.com/codeinn/vcs/
>> * License         : Expat
>>   Programming Lang: Python
>>   Description     : Various version control systems management  
>> abstraction layer
>>
>>  Python vcs is an abstraction layer on top of various (Mercurial,  
>> Git, as extra
>>  backends: SVN, Bazaar) version control systems. It is designed as a
>>  feature-rich Python library with a clear API Reference.
>>  .
>>  Features
>>     - Common API for SCM backends
>>     - Fetching repositories data lazily
>>     - Simple caching mechanism so we don???t hit repo too often
>>     - In-memory commits API
>>     - Command-line interface
>>  .
>>  Incoming
>>     - Full working directories support
>>     - Extra backends: Subversion, Bazaar
> Where are the extra backends? I don't see them in the linked  
> upstream source code.

I cannot tell you where the backends yet are. Currently, I am  
struggling with a licensing issue in vcs that you may be able to solve.

For further info on this see this issue report on github:
https://github.com/codeinn/vcs/issues/118

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 11:36:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 11:36:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 13:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 09 Sep 2013 13:00:04 GMT) Full text and rfc822 format available.

Message #32 received at submit@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@samba.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 721598@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#721598: ITP: python-vcs -- Various version control systems management abstraction layer
Date: Mon, 9 Sep 2013 14:56:12 +0200
On Mon, Sep 09, 2013 at 01:35:06PM +0200, Mike Gabriel wrote:
> Hi Jelmer,
> 
> On Mo 02 Sep 2013 21:08:50 CEST Jelmer Vernooij wrote:
> 
> >On Mon, Sep 02, 2013 at 10:36:49AM +0200, Mike Gabriel wrote:
> >>Package: wnpp
> >>Severity: wishlist
> >>Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> >>
> >>* Package name    : python-vcs
> >>  Version         : 0.4.0
> >>  Upstream Author : Marcin Ku??mi??ski
> >><https://github.com/codeinn/vcs/issues>
> >>* URL             : https://github.com/codeinn/vcs/
> >>* License         : Expat
> >>  Programming Lang: Python
> >>  Description     : Various version control systems management
> >>abstraction layer
> >>
> >> Python vcs is an abstraction layer on top of various
> >>(Mercurial, Git, as extra
> >> backends: SVN, Bazaar) version control systems. It is designed as a
> >> feature-rich Python library with a clear API Reference.
> >> .
> >> Features
> >>    - Common API for SCM backends
> >>    - Fetching repositories data lazily
> >>    - Simple caching mechanism so we don???t hit repo too often
> >>    - In-memory commits API
> >>    - Command-line interface
> >> .
> >> Incoming
> >>    - Full working directories support
> >>    - Extra backends: Subversion, Bazaar
> >Where are the extra backends? I don't see them in the linked
> >upstream source code.
> 
> I cannot tell you where the backends yet are. Currently, I am
> struggling with a licensing issue in vcs that you may be able to
> solve.
> 
> For further info on this see this issue report on github:
> https://github.com/codeinn/vcs/issues/118

It looks like Marcin already followed up to this. Dulwich and that file are
GPLv2 or later. 

Cheers,

Jelmer



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 13:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 09 Sep 2013 13:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 13:06:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 13:06:26 GMT) Full text and rfc822 format available.

Message #42 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jelmer Vernooij <jelmer@samba.org>
Cc: 721598@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#721598: ITP: python-vcs -- Various version control systems management abstraction layer
Date: Mon, 09 Sep 2013 15:04:38 +0200
[Message part 1 (text/plain, inline)]
Hi Jelmer,

On Mo 09 Sep 2013 14:56:12 CEST Jelmer Vernooij wrote:

> On Mon, Sep 09, 2013 at 01:35:06PM +0200, Mike Gabriel wrote:
>> Hi Jelmer,
>>
>> On Mo 02 Sep 2013 21:08:50 CEST Jelmer Vernooij wrote:
>>
>> >On Mon, Sep 02, 2013 at 10:36:49AM +0200, Mike Gabriel wrote:
>> >>Package: wnpp
>> >>Severity: wishlist
>> >>Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>> >>
>> >>* Package name    : python-vcs
>> >>  Version         : 0.4.0
>> >>  Upstream Author : Marcin Ku??mi??ski
>> >><https://github.com/codeinn/vcs/issues>
>> >>* URL             : https://github.com/codeinn/vcs/
>> >>* License         : Expat
>> >>  Programming Lang: Python
>> >>  Description     : Various version control systems management
>> >>abstraction layer
>> >>
>> >> Python vcs is an abstraction layer on top of various
>> >>(Mercurial, Git, as extra
>> >> backends: SVN, Bazaar) version control systems. It is designed as a
>> >> feature-rich Python library with a clear API Reference.
>> >> .
>> >> Features
>> >>    - Common API for SCM backends
>> >>    - Fetching repositories data lazily
>> >>    - Simple caching mechanism so we don???t hit repo too often
>> >>    - In-memory commits API
>> >>    - Command-line interface
>> >> .
>> >> Incoming
>> >>    - Full working directories support
>> >>    - Extra backends: Subversion, Bazaar
>> >Where are the extra backends? I don't see them in the linked
>> >upstream source code.
>>
>> I cannot tell you where the backends yet are. Currently, I am
>> struggling with a licensing issue in vcs that you may be able to
>> solve.
>>
>> For further info on this see this issue report on github:
>> https://github.com/codeinn/vcs/issues/118
>
> It looks like Marcin already followed up to this. Dulwich and that file are
> GPLv2 or later.

I just dropped another comment on #118. As dulwich is GPL-2+ I pointed  
out the using dulwich in vcs requires vcs getting relicensed to a  
license that is GPL-2+ compatible.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 13:06:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 13:06:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 09 Sep 2013 13:15:04 GMT) Full text and rfc822 format available.

Message #52 received at submit@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@samba.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 721598@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#721598: ITP: python-vcs -- Various version control systems management abstraction layer
Date: Mon, 9 Sep 2013 15:13:00 +0200
On Mon, Sep 09, 2013 at 03:04:38PM +0200, Mike Gabriel wrote:
> Hi Jelmer,
> 
> On Mo 09 Sep 2013 14:56:12 CEST Jelmer Vernooij wrote:
> 
> >On Mon, Sep 09, 2013 at 01:35:06PM +0200, Mike Gabriel wrote:
> >>Hi Jelmer,
> >>
> >>On Mo 02 Sep 2013 21:08:50 CEST Jelmer Vernooij wrote:
> >>
> >>>On Mon, Sep 02, 2013 at 10:36:49AM +0200, Mike Gabriel wrote:
> >>>>Package: wnpp
> >>>>Severity: wishlist
> >>>>Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> >>>>
> >>>>* Package name    : python-vcs
> >>>>  Version         : 0.4.0
> >>>>  Upstream Author : Marcin Ku??mi??ski
> >>>><https://github.com/codeinn/vcs/issues>
> >>>>* URL             : https://github.com/codeinn/vcs/
> >>>>* License         : Expat
> >>>>  Programming Lang: Python
> >>>>  Description     : Various version control systems management
> >>>>abstraction layer
> >>>>
> >>>> Python vcs is an abstraction layer on top of various
> >>>>(Mercurial, Git, as extra
> >>>> backends: SVN, Bazaar) version control systems. It is designed as a
> >>>> feature-rich Python library with a clear API Reference.
> >>>> .
> >>>> Features
> >>>>    - Common API for SCM backends
> >>>>    - Fetching repositories data lazily
> >>>>    - Simple caching mechanism so we don???t hit repo too often
> >>>>    - In-memory commits API
> >>>>    - Command-line interface
> >>>> .
> >>>> Incoming
> >>>>    - Full working directories support
> >>>>    - Extra backends: Subversion, Bazaar
> >>>Where are the extra backends? I don't see them in the linked
> >>>upstream source code.
> >>
> >>I cannot tell you where the backends yet are. Currently, I am
> >>struggling with a licensing issue in vcs that you may be able to
> >>solve.
> >>
> >>For further info on this see this issue report on github:
> >>https://github.com/codeinn/vcs/issues/118
> >
> >It looks like Marcin already followed up to this. Dulwich and that file are
> >GPLv2 or later.
> 
> I just dropped another comment on #118. As dulwich is GPL-2+ I
> pointed out the using dulwich in vcs requires vcs getting relicensed
> to a license that is GPL-2+ compatible.

Please note that that is true for not just Dulwich but also for
Mercurial (which is GPLed too). 

Wouldn't it be fine for python-vcs to technically be MIT-licensed? I suspect it
would only become problematic if something that was not GPL-compatible wanted
to depend on python-vcs (and thus Dulwich/Mercurial).

Cheers,

Jelmer



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#721598; Package wnpp. (Mon, 09 Sep 2013 13:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 09 Sep 2013 13:15:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:01:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.